import type { InjectionKey, SetupContext } from 'vue';
/**
 * 自动绑定this !!!此装饰器必须放在最上面
 */
export declare function Autobind(): ClassDecorator & MethodDecorator;
export declare function useProps<T>(): T;
export declare function useCtx(): SetupContext<import("vue").EmitsOptions>;
export declare function getCurrentApp(): import("vue").App<any> | undefined;
export declare function getEmitsFromProps(defaultProps: Record<string, any> | string[]): string[];
export declare function createSymbol(name: string): string | symbol;
/**
 * 注入服务
 */
export declare function injectService<T extends {
    new (...args: any[]): InstanceType<T>;
    ProviderKey: InjectionKey<InstanceType<T>>;
}>(service: T, defaultService?: InstanceType<T>): InstanceType<T>;
